NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Protected Member Functions | List of all members
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext Class Reference

This class is used to display User Defined Objects More...

Inheritance diagram for NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Public Types

enum  FacetType { Triangle, Polygon, Tristrip }
 The enumerated type facet to be displayed More...
 
enum  PolyMarker {
  NoMarker, Point, Dot, Asterisk,
  Circle, Poundsign, X, Gridpoint,
  Square, TriangleMarker, Diamond, Centerline,
  ConsFix, ConsHorizontal, ConsVertical, ConsParallel,
  ConsPerpendicular, ConsTangent, ConsConcentric, ConsCoincident,
  ConsCollinear, ConsPointOnCurve, ConsMidpoint, ConsEqualLength,
  ConsEqualRadius, ConsConstantLength, ConsConstantAngle, ConsMirror,
  DimRadius, DimDiameter, DimParallel, DimPerpendicular,
  ConsSlope, ConsString, ConsUniformScaled, ConsNonUniformScaled,
  ConsAssocTrim, ConsAssocOffset, Disp2tResSpotWeld, Disp3tResSpotWeld,
  Disp4tResSpotWeld, Disp2tDcSpotWeld, Disp3tDcSpotWeld, Disp4tDcSpotWeld,
  Disp2tKpcSpotWeld, Disp3tKpcSpotWeld, Disp4tKpcSpotWeld, Disp2tProcSpotWeld,
  Disp3tProcSpotWeld, Disp4tProcSpotWeld, ArcSpotWeld, ClinchWeld,
  Anchor, LeftLeaderConnection, RightLeaderConnection, FilledCircle,
  FilledSquare, LargeFilledSquare, DatumPoint, SnappingDiamond,
  CircleInCircle, CircleInSquare, SquareInSquare, FilledLeftTriangle,
  FilledRightTriangle, FilledUpTriangle, FilledDownTriangle, FilledLeftTriangleInCircle,
  FilledRightTriangleInCircle, FilledUpTriangleInCircle, FilledDownTriangleInCircle, FilledLeftTriangleInSquare,
  FilledRightTriangleInSquare, FilledUpTriangleInSquare, FilledDownTriangleInSquare, RoundedCross,
  FilledDiamond, UpDownTriangles, LeftRightTriangles, SmallWheel,
  LargeWheel, HollowCircle, PreviewPerpendicular, PreviewHorizontal,
  PreviewVertical, PreviewTangent, PreviewParallel, PreviewPointOnCurve,
  PreviewCollinear, Ruler, Protractor, SketchNotebook,
  ArcEndPoint, Disp2PtArcMarker, BigAsterisk, LineInCircle,
  PlusInCircle, CenterOfRotation, PreviewX, PreviewY,
  PreviewZ, Disp2tGeneralSpotWeld, Disp3tGeneralSpotWeld, Disp4tGeneralSpotWeld,
  Disp2tVitalSpotWeld, Disp3tVitalSpotWeld, Disp4tVitalSpotWeld, Disp2tImportantSpotWeld,
  Disp3tImportantSpotWeld, Disp4tImportantSpotWeld, Disp2tSemipanelSpotWeld, Disp3tSemipanelSpotWeld,
  Disp4tSemipanelSpotWeld, InvalidMarker
}
 This enumerated type specifies the type of marker to be displayed. More...
 
enum  StandardTextRef {
  SystemDefault, BaselineStart = 0, BaselineCenter, BaselineEnd,
  TopLeft, TopCenter, TopRight, MiddleLeft,
  MiddleCenter, MiddleRight, BottomLeft, BottomCenter,
  BottomRight
}
 This enumerated type specifies the type of reference point used in the text box for standard_text methods. More...
 
enum  TextRef {
  SystemDefault, TopLeft, TopCenter, TopRight,
  MiddleLeft, MiddleCenter, MiddleRight, BottomLeft,
  BottomCenter, BottomRight
}
 This enumerated type specifies the type of reference point used in the text box. More...
 
enum  TextSize {
  Small, Normal, Medium = 1, Large,
  NumSizes
}
 Provides a way to specify the size of the desired text, as small, medium or large (normal is a synonym for medium). More...
 
enum  ViewMode {
  NotShaded = 1, PartiallyShaded, FullyShaded, AnalysisShaded,
  StudioShaded
}
 The enumerated view mode More...
 

Public Member Functions

unsafe void DisplayAbsoluteRotationScreenSizeStandardText (int fontIndex, string fontStyle, NXOpen.Point3d textCoordinates, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef referencePointType, string @string, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.TextSize textSize)
 Displays a single line "Standard Text" string using "Absolute Rotation and Screen Size Geometry" for a UserDefinedObject . More...
 
unsafe void DisplayAbsoluteStandardText (int fontIndex, string fontStyle, NXOpen.Point3d textCoordinates, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef referencePointType, string @string, double glyphWidth, double glyphHeight)
 Displays a single line "Standard Text" string using "Absolute Geometry" for a UserDefinedObject . More...
 
unsafe void DisplayArc (NXOpen.Point3d center, NXOpen.Matrix3x3 original, double radius, double startAngle, double endAngle)
 Displays an arc for a UserDefinedObject . More...
 
unsafe void DisplayCircle (NXOpen.Point3d center, NXOpen.Matrix3x3 original, double radius, bool filled)
 Displays a circle for a UserDefinedObject . More...
 
unsafe void DisplayFacets (int numVertices, int numFacets, NXOpen.Point3d[] vertices, NXOpen.Vector3d[] normals, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.FacetType typeOfFacet)
 Displays a series of facets for a UserDefinedObject . More...
 
unsafe void DisplayMultiLineAbsoluteRotationScreenSizeStandardText (int fontIndex, string fontStyle, NXOpen.Point3d textCoordinates, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef referencePointType, string[] strings, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.TextSize textSize)
 Displays a multi-line "Standard Text" string using "Absolute Rotation and Screen Size Geometry" for a UserDefinedObject . More...
 
unsafe void DisplayMultiLineAbsoluteStandardText (int fontIndex, string fontStyle, NXOpen.Point3d textCoordinates, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef referencePointType, string[] strings, double glyphWidth, double glyphHeight)
 Displays a multi-line "Standard Text" string using "Absolute Geometry" for a UserDefinedObject . More...
 
unsafe void DisplayMultiLineScreenStandardText (int fontIndex, string fontStyle, NXOpen.Point3d textCoordinates, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef referencePointType, string[] strings, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.TextSize textSize)
 Displays a multi-line "Standard Text" string using "Screen Geometry" for a UserDefinedObject . More...
 
unsafe void DisplayPoints (NXOpen.Point3d[] points, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.PolyMarker markerType)
 Displays a series of points for a UserDefinedObject . More...
 
unsafe void DisplayPolygon (NXOpen.Point3d[] points, bool filled)
 Displays a polygon (a closed set of line segements) for a UserDefinedObject . More...
 
unsafe void DisplayPolyline (NXOpen.Point3d[] points)
 Displays a polyline (a connected set of line segements) for a UserDefinedObject . More...
 
unsafe void DisplayScreenStandardText (int fontIndex, string fontStyle, NXOpen.Point3d textCoordinates, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef referencePointType, string @string, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.TextSize textSize)
 Displays a single line "Standard Text" string using "Screen Geometry" for a UserDefinedObject . More...
 
unsafe void DisplayText (string text, NXOpen.Point3d textCoordinates, NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.TextRef referencePoint)
 Displays a text string using an NX text font for a UserDefinedObject . More...
 
unsafe void DisplayUnicodeMarker (string unicodeChar, int fontIndex, string fontStyle, NXOpen.Point3d markerCoordinates, double markerSize)
 Displays a single character in the given font and style centered at the given position. More...
 
unsafe NXOpen.View GetViewMode (out bool isViewModeValid, out NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.ViewMode viewMode, out bool isAttenPtValid, out NXOpen.Point3d attentionPoint, out bool isDrawingViewOpen)
 Get information about the current view mode and display context in which geometry is displayed. More...
 
- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override void FreeResource ()
 Frees the memory associated with this object. More...
 

Additional Inherited Members

- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 

Detailed Description

This class is used to display User Defined Objects

Created in NX5.0.0

Member Enumeration Documentation

The enumerated type facet to be displayed

Enumerator
Triangle 

The facet topology is a triangle facet

Polygon 

The facet topology is a polygon facet

Tristrip 

The facet topology is a tristrip facet

This enumerated type specifies the type of marker to be displayed.

Enumerator
NoMarker 
Point 
Dot 
Asterisk 
Circle 
Poundsign 
X 
Gridpoint 
Square 
TriangleMarker 
Diamond 
Centerline 
ConsFix 
ConsHorizontal 
ConsVertical 
ConsParallel 
ConsPerpendicular 
ConsTangent 
ConsConcentric 
ConsCoincident 
ConsCollinear 
ConsPointOnCurve 
ConsMidpoint 
ConsEqualLength 
ConsEqualRadius 
ConsConstantLength 
ConsConstantAngle 
ConsMirror 
DimRadius 
DimDiameter 
DimParallel 
DimPerpendicular 
ConsSlope 
ConsString 
ConsUniformScaled 
ConsNonUniformScaled 
ConsAssocTrim 
ConsAssocOffset 
Disp2tResSpotWeld 
Disp3tResSpotWeld 
Disp4tResSpotWeld 
Disp2tDcSpotWeld 
Disp3tDcSpotWeld 
Disp4tDcSpotWeld 
Disp2tKpcSpotWeld 
Disp3tKpcSpotWeld 
Disp4tKpcSpotWeld 
Disp2tProcSpotWeld 
Disp3tProcSpotWeld 
Disp4tProcSpotWeld 
ArcSpotWeld 
ClinchWeld 
Anchor 
LeftLeaderConnection 
RightLeaderConnection 
FilledCircle 
FilledSquare 
LargeFilledSquare 
DatumPoint 
SnappingDiamond 
CircleInCircle 
CircleInSquare 
SquareInSquare 
FilledLeftTriangle 
FilledRightTriangle 
FilledUpTriangle 
FilledDownTriangle 
FilledLeftTriangleInCircle 
FilledRightTriangleInCircle 
FilledUpTriangleInCircle 
FilledDownTriangleInCircle 
FilledLeftTriangleInSquare 
FilledRightTriangleInSquare 
FilledUpTriangleInSquare 
FilledDownTriangleInSquare 
RoundedCross 
FilledDiamond 
UpDownTriangles 
LeftRightTriangles 
SmallWheel 
LargeWheel 
HollowCircle 
PreviewPerpendicular 
PreviewHorizontal 
PreviewVertical 
PreviewTangent 
PreviewParallel 
PreviewPointOnCurve 
PreviewCollinear 
Ruler 
Protractor 
SketchNotebook 
ArcEndPoint 
Disp2PtArcMarker 
BigAsterisk 
LineInCircle 
PlusInCircle 
CenterOfRotation 
PreviewX 
PreviewY 
PreviewZ 
Disp2tGeneralSpotWeld 
Disp3tGeneralSpotWeld 
Disp4tGeneralSpotWeld 
Disp2tVitalSpotWeld 
Disp3tVitalSpotWeld 
Disp4tVitalSpotWeld 
Disp2tImportantSpotWeld 
Disp3tImportantSpotWeld 
Disp4tImportantSpotWeld 
Disp2tSemipanelSpotWeld 
Disp3tSemipanelSpotWeld 
Disp4tSemipanelSpotWeld 
InvalidMarker 

This enumerated type specifies the type of reference point used in the text box for standard_text methods.

Enumerator
SystemDefault 

Display the text using the system default reference point position

BaselineStart 

Display the text starting on the baseline, at the left end of the text box for left-to-right text, or at the right end of the text box for right-to-left text

BaselineCenter 

Display the text with the given position in the horizontal center of the text box at the baseline

BaselineEnd 

Display the text starting on the baseline, at the right end of the text box for left-to-right text, or at the left end of the text box for right-to-left text

TopLeft 

Display the text with the given position in the top left of the text box

TopCenter 

Display the text with the given position in the top center of the text box

TopRight 

Display the text with the given position in the top right of the text box

MiddleLeft 

Display the text with the given position in the middle left of the text box

MiddleCenter 

Display the text with the given position in middle center of text box

MiddleRight 

Display the text with the given position in middle right of text box

BottomLeft 

Display the text with the given position in bottom left of text box

BottomCenter 

Display the text with the given position in bottom center of text box

BottomRight 

Display the text with the given position in bottom right of text box

This enumerated type specifies the type of reference point used in the text box.

Enumerator
SystemDefault 

Display the text using the system default

TopLeft 

Display the text with the given position in the top left of the text box

TopCenter 

Display the text with the given position in the top center of the text box

TopRight 

Display the text with the given position in the top right of the text box

MiddleLeft 

Display the text with the given position in the middle left of the text box

MiddleCenter 

Display the text with the given position in middle center of text box

MiddleRight 

Display the text with the given position in middle right of text box

BottomLeft 

Display the text with the given position in bottom left of text box

BottomCenter 

Display the text with the given position in bottom center of text box

BottomRight 

Display the text with the given position in bottom right of text box

Provides a way to specify the size of the desired text, as small, medium or large (normal is a synonym for medium).

Enumerator
Small 
Normal 
Medium 
Large 
NumSizes 

The enumerated view mode

Enumerator
NotShaded 

The view is not shaded

PartiallyShaded 

The view is partially shaded

FullyShaded 

The view is fully shaded

AnalysisShaded 

The view is analysis shaded

StudioShaded 

The view is studio shaded

Member Function Documentation

unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayAbsoluteRotationScreenSizeStandardText ( int  fontIndex,
string  fontStyle,
NXOpen.Point3d  textCoordinates,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef  referencePointType,
string @  string,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.TextSize  textSize 
)
inline

Displays a single line "Standard Text" string using "Absolute Rotation and Screen Size Geometry" for a UserDefinedObject .

A "Standard Text" string uses one of the fonts available from the operating system. "Absolute Rotation and Screen Size Geometry" means the text appears the same physical sized on the screen regardless of the view scale (like "Screen Geometry"), the text remains front-facing and approximately upright (similar to "Screen Geometry"), but the orientation of the text changes as the user rotates the view (like "Absolute Geometry"). The text will be displayed on the XY plane of the absolute coordinate system. This method is not supported for 2D output such as CGM.

Created in NX8.0.0

License requirements: None.

Parameters
fontIndexIndex of the text font to be used. This must be an index of a standard font. It may be 0 to use the default font.
fontStyleThe name of a style supported by the given font. Specify NULL to use the default style for the font, which usually is Regular (no bold, no italic). If a non-NULL style does not exist for the font, the font's default style will be used.
textCoordinatesPosition of text box reference point in Absolute Coordinates
referencePointTypeReference point type of text box
stringText string to display
textSizesee enum values
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayAbsoluteStandardText ( int  fontIndex,
string  fontStyle,
NXOpen.Point3d  textCoordinates,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef  referencePointType,
string @  string,
double  glyphWidth,
double  glyphHeight 
)
inline

Displays a single line "Standard Text" string using "Absolute Geometry" for a UserDefinedObject .

A "Standard Text" string uses one of the fonts available from the operating system. "Absolute Geometry" means that the text scales and rotates with the view, so it appears larger when you zoom in and smaller when you zoom out. This is the type of text normally used by NX Drafting. Note that the text will be displayed on the Absolute XY plane.

Created in NX8.0.0

License requirements: None.

Parameters
fontIndexIndex of the text font to be used. This must be an index of a standard font. It may be 0 to use the default font.
fontStyleThe name of a style supported by the given font. Specify NULL to use the default style for the font, which usually is Regular (no bold, no italic). If a non-NULL style does not exist for the font, the font's default style will be used.
textCoordinatesPosition of text box reference point in Absolute Coordinates
referencePointTypeReference point type of text box
stringText string to display
glyphWidthWidth of text in units of the Displayed Part
glyphHeightHeight of text in units of the Displayed Part
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayArc ( NXOpen.Point3d  center,
NXOpen.Matrix3x3  original,
double  radius,
double  startAngle,
double  endAngle 
)
inline

Displays an arc for a UserDefinedObject .

The arc will be created in a plane whose normal is the Z axis of the orientation matrix (matrix[0-2] is the X axis of the orientation matrix, matrix[3-5] is the Y axis of the orientation matrix, and matrix[6-8] is the Z axis of the orientation matrix.) The start and end angles are measured relative to the X and Y axis of this orientation matrix.

Created in NX5.0.0

License requirements: None.

Parameters
centerCenter of the arc (absolute coordinates transformed by the orientation matrix)
originalOrientation matrix for the arc.
radiusRadius of the arc. Must be greater than zero.
startAngleStart angle in radians
endAngleEnd angle in radians
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayCircle ( NXOpen.Point3d  center,
NXOpen.Matrix3x3  original,
double  radius,
bool  filled 
)
inline

Displays a circle for a UserDefinedObject .

The circle will be created in a plane which is normal to the Z axis of the orientation matrix. (matrix[0-2] is the X axis of the orientation matrix, matrix[3-5] is the Y axis of the orientation matrix, and matrix[6-8] is the Z axis of the orientation matrix.)

Created in NX5.0.0

License requirements: None.

Parameters
centerCenter of the arc (absolute coordinates transformed by the orientation matrix)
originalOrientation matrix for the arc.
radiusRadius of the arc. Must be greater than zero.
filledTrue if the interior of the circle is solid filled, otherwise the interior is not filled
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayFacets ( int  numVertices,
int  numFacets,
NXOpen.Point3d[]  vertices,
NXOpen.Vector3d[]  normals,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.FacetType  typeOfFacet 
)
inline

Displays a series of facets for a UserDefinedObject .

Created in NX5.0.0

License requirements: None.

Parameters
numVerticesNumber of points to define a facet.
numFacetsNumber of facets to display.
verticesArray of point coordinates which define the vertices of the facets. For example assume num_facets = 2 and num_vertices = 3, then vertices[0-2] defines the point of the first vertex of the first facet, vertices[3-5] defines the second vertex point of the first facet, and vertices[6-8] defines the last vertex point of the first facet. Next vertices[9-11] define the first vertex point of the second facet, vertices[12-14] is the second vertex of the second facet, and last vertices[15-17] defines the last vertex of the second facet.
normalsArray of vectors which define the normal to the facet at a vertex point. Normal vectors must be unit vectors, and they should point out away from the faceted object. For example assume num_facets = 2 and num_vertices = 3, then normals[0-8] define the normal vectors at each vertex point in the first facet, and normals[9-17] define the normals for the vertex points of the second facet. More specifically normals[0-2] should define a unit normal vector out away from the facet at the point defined by vertices[0-2]. Likewise normals[3-5] should define a unit normal vector out away from the facet at the point defined by vertices[3-5].
typeOfFacetThe format of the facet in the facet array
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayMultiLineAbsoluteRotationScreenSizeStandardText ( int  fontIndex,
string  fontStyle,
NXOpen.Point3d  textCoordinates,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef  referencePointType,
string[]  strings,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.TextSize  textSize 
)
inline

Displays a multi-line "Standard Text" string using "Absolute Rotation and Screen Size Geometry" for a UserDefinedObject .

A "Standard Text" string uses one of the fonts available from the operating system. "Absolute Rotation and Screen Size Geometry" means the text appears the same physical sized on the screen regardless of the view scale (like "Screen Geometry"), the text remains front-facing and approximately upright (similar to "Screen Geometry"), but the orientation of the text changes as the user rotates the view (like "Absolute Geometry"). The text will be displayed on the XY plane of the absolute coordinate system. This method is not supported for 2D output such as CGM.

Created in NX8.0.0

License requirements: None.

Parameters
fontIndexIndex of the text font to be used. This must be an index of a standard font. It may be 0 to use the default font.
fontStyleThe name of a style supported by the given font. Specify NULL to use the default style for the font, which usually is Regular (no bold, no italic). If a non-NULL style does not exist for the font, the font's default style will be used.
textCoordinatesPosition of text box reference point in Absolute Coordinates
referencePointTypeReference point type of text box
stringsArray of text strings to display
textSizesee enum values
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayMultiLineAbsoluteStandardText ( int  fontIndex,
string  fontStyle,
NXOpen.Point3d  textCoordinates,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef  referencePointType,
string[]  strings,
double  glyphWidth,
double  glyphHeight 
)
inline

Displays a multi-line "Standard Text" string using "Absolute Geometry" for a UserDefinedObject .

A "Standard Text" string uses one of the fonts available from the operating system. "Absolute Geometry" means that the text scales and rotates with the view, so it appears larger when you zoom in and smaller when you zoom out. This is the type of text normally used by NX Drafting. Note that the text will be displayed on the Absolute XY plane.

Created in NX8.0.0

License requirements: None.

Parameters
fontIndexIndex of the text font to be used. This must be an index of a standard font. It may be 0 to use the default font.
fontStyleThe name of a style supported by the given font. Specify NULL to use the default style for the font, which usually is Regular (no bold, no italic). If a non-NULL style does not exist for the font, the font's default style will be used.
textCoordinatesPosition of text box reference point in Absolute Coordinates
referencePointTypeReference point type of text box
stringsArray of text strings to display
glyphWidthWidth of text in units of the Displayed Part
glyphHeightHeight of text in units of the Displayed Part
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayMultiLineScreenStandardText ( int  fontIndex,
string  fontStyle,
NXOpen.Point3d  textCoordinates,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef  referencePointType,
string[]  strings,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.TextSize  textSize 
)
inline

Displays a multi-line "Standard Text" string using "Screen Geometry" for a UserDefinedObject .

A "Standard Text" string uses one of the fonts available from the operating system. "Screen Geometry" means that the text remains parallel to the screen and appears the same physical size on the screen regardless of the view scale. This method is not supported for 2D output such as CGM. Note that the text will be displayed on the Absolute XY plane.

Created in NX8.0.0

License requirements: None.

Parameters
fontIndexIndex of the text font to be used. This must be an index of a standard font. It may be 0 to use the default font.
fontStyleThe name of a style supported by the given font. Specify NULL to use the default style for the font, which usually is Regular (no bold, no italic). If a non-NULL style does not exist for the font, the font's default style will be used.
textCoordinatesPosition of text box reference point in Absolute Coordinates
referencePointTypeReference point type of text box
stringsArray of text strings to display
textSizesee enum values
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayPoints ( NXOpen.Point3d[]  points,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.PolyMarker  markerType 
)
inline

Displays a series of points for a UserDefinedObject .

Created in NX5.0.0

License requirements: None.

Parameters
pointsArray of point coordinates. points[0-2] defines the first point, points[3-5] defines the second point, etc.
markerTypeThe type of marker displayed for each point
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayPolygon ( NXOpen.Point3d[]  points,
bool  filled 
)
inline

Displays a polygon (a closed set of line segements) for a UserDefinedObject .

The line segments are defined by an array of points.

Created in NX5.0.0

License requirements: None.

Parameters
pointsArray of point coordinates which define the polyline. points[0-2] defines the first end point, points[3-5] defines the second end point, etc.
filledTrue if the interior of the polygon is solid filled, otherwise the interior is not filled
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayPolyline ( NXOpen.Point3d[]  points)
inline

Displays a polyline (a connected set of line segements) for a UserDefinedObject .

The line segments are defined by an array of points.

Created in NX5.0.0

License requirements: None.

Parameters
pointsArray of point coordinates which define the polyline. points[0-2] defines the first point, points[3-5] defines the second point, etc.
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayScreenStandardText ( int  fontIndex,
string  fontStyle,
NXOpen.Point3d  textCoordinates,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.StandardTextRef  referencePointType,
string @  string,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.TextSize  textSize 
)
inline

Displays a single line "Standard Text" string using "Screen Geometry" for a UserDefinedObject .

A "Standard Text" string uses one of the fonts available from the operating system. "Screen Geometry" means that the text remains parallel to the screen and appears the same physical size on the screen regardless of the view scale. This method is not supported for 2D output such as CGM. Note that the text will be displayed on the Absolute XY plane.

Created in NX8.0.0

License requirements: None.

Parameters
fontIndexIndex of the text font to be used. This must be an index of a standard font. It may be 0 to use the default font.
fontStyleThe name of a style supported by the given font. Specify NULL to use the default style for the font, which usually is Regular (no bold, no italic). If a non-NULL style does not exist for the font, the font's default style will be used.
textCoordinatesPosition of text box reference point in Absolute Coordinates
referencePointTypeReference point type of text box
stringText string to display
textSizesee enum values
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayText ( string  text,
NXOpen.Point3d  textCoordinates,
NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.TextRef  referencePoint 
)
inline

Displays a text string using an NX text font for a UserDefinedObject .

Created in NX5.0.0

License requirements: None.

Parameters
textText string to display
textCoordinatesPosition of text box reference point in abs
referencePointReference point of text box
unsafe void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.DisplayUnicodeMarker ( string  unicodeChar,
int  fontIndex,
string  fontStyle,
NXOpen.Point3d  markerCoordinates,
double  markerSize 
)
inline

Displays a single character in the given font and style centered at the given position.

The character will always be displayed parallel to the screen.

Created in NX8.0.0

License requirements: None.

Parameters
unicodeCharA single Unicode character to display at the given coordinate position.
fontIndexIndex of the text font to be used. This must be an index of a standard font. It may be 0 to use the default font.
fontStyleThe name of a style supported by the given font. Specify NULL to use the default style for the font, which usually is Regular (no bold, no italic). If a non-NULL style does not exist for the font, the font's default style will be used.
markerCoordinatesPosition for the center of the marker in Absolute Coordinates
markerSizeIn inches on the screen
override void NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.FreeResource ( )
inlineprotectedvirtual

Frees the memory associated with this object.

After invocation of this method, the object is no longer valid.

Created in NX5.0.0

License requirements: None.

Implements NXOpen.TransientObject.

unsafe NXOpen.View NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.GetViewMode ( out bool  isViewModeValid,
out NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext.ViewMode  viewMode,
out bool  isAttenPtValid,
out NXOpen.Point3d  attentionPoint,
out bool  isDrawingViewOpen 
)
inline

Get information about the current view mode and display context in which geometry is displayed.

Created in NX8.5.0

License requirements: None.

Parameters
isViewModeValidTrue if the view mode was returned and False if no information was available
viewModeView mode describes the views shading and face analysis mode - see enum values for more details
isAttenPtValidTrue if the attention point was returned and False if no information was available
attentionPointThe attention point of the geometry just displayed
isDrawingViewOpenIs the drawing view open for display? If true then geometry may be added to the drawing. If false another view which is not the drawing is open
Returns
View being displayed

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.